import { HcApi } from "../request/index";

//用户配置保存
export const getClinetAll = () =>
    HcApi({
        url: "/api/blade-system/client/getClinetAll",
        method: "get",
        params: {},
    });

//用户配置保存
export const userConfigSave = (form) =>
    HcApi({
        url: "/api/blade-business/defaultConfig/saveOrUpdate",
        method: "post",
        data: form,
    });

//用户配置详情
export const userConfigInfo = (form = {}) =>
    HcApi({
        url: "/api/blade-business/defaultConfig/detail",
        method: "get",
        params: form,
    });

//获取类型
export const getDictionary = (form) =>
    HcApi({
        url: "/api/blade-system/dict/dictionary",
        method: "get",
        params: form,
    });

//获取类型
export const getBizDictionary = (form) =>
    HcApi({
        url: "/api/blade-system/dict-biz/dictionary",
        method: "get",
        params: form,
    });
//获取字典的子级数据
export const getChildList = (form) =>
    HcApi({
        url: "/api/blade-system/dict/child-list",
        method: "get",
        params: form,
    });
//获取用户列表
export const getContractUserList = (form) =>
    HcApi({
        url: "/api/blade-manager/contractInfo/get-contract-userList",
        method: "get",
        params: form,
    });

//获取租户详情
export const getTenantDetail = (id) =>
    HcApi(
        {
            url: "/api/blade-system/tenant/detail",
            method: "get",
            params: { tenantId: id },
        },
        true
    );

//获取更新信息
export const getVersionJson = () =>
    HcApi({
        url: "version.json?time=" + new Date().getTime(),
        method: "get",
    });

//获取项目下的合同段信息
export const getContractInfo = (form) =>
    HcApi({
        url: "/api/blade-manager/contractInfo/get-contractInfo",
        method: "get",
        params: form,
    });

//获取图标文件
export const getRemixicon = () =>
    HcApi({
        url: "plugins/remixicon/remixicon.css?time=" + new Date().getTime(),
        method: "get",
    });
